<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>Maneuver.Icon (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Maneuver.Icon (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Maneuver.Icon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.TrafficDirection.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/Maneuver.Icon.html" target="_top">Frames</a></li>
<li><a href="Maneuver.Icon.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.routing</div>
<h2 title="Enum Maneuver.Icon" class="title">Enum Maneuver.Icon</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.routing.Maneuver.Icon</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a>&gt;</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing">Maneuver</a></dd>
</dl>
<hr>
<br>
<pre>public static enum <span class="typeNameLabel">Maneuver.Icon</span>
extends java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a>&gt;</pre>
<div class="block">Represents values describing types of <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a> icons.
 <p>
 Note that this enum is only provided as a convenience to easily retrieve the maneuver instruction.
 You must provide your own icon images and implement your own icon-drawing code.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#CHANGE_LINE">CHANGE_LINE</a></span></code>
<div class="block">Changing public transit line.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#END">END</a></span></code>
<div class="block">An icon that indicates the destination point.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ENTER_HIGHWAY_LEFT_LANE">ENTER_HIGHWAY_LEFT_LANE</a></span></code>
<div class="block">An icon that indicates entering a highway into the left lane.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ENTER_HIGHWAY_RIGHT_LANE">ENTER_HIGHWAY_RIGHT_LANE</a></span></code>
<div class="block">An icon that indicates entering a highway into the right lane.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#FERRY">FERRY</a></span></code>
<div class="block">An icon that indicates boarding a ferry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#GO_STRAIGHT">GO_STRAIGHT</a></span></code>
<div class="block">An icon that indicates a straight course.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#HEAD_TO">HEAD_TO</a></span></code>
<div class="block">Leaving public transit station.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#HEAVY_LEFT">HEAVY_LEFT</a></span></code>
<div class="block">An icon that indicates a heavy left turn.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#HEAVY_RIGHT">HEAVY_RIGHT</a></span></code>
<div class="block">An icon that indicates a heavy right turn.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#HIGHWAY_KEEP_LEFT">HIGHWAY_KEEP_LEFT</a></span></code>
<div class="block">An icon that indicates keeping to the left-hand lane of a highway.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#HIGHWAY_KEEP_RIGHT">HIGHWAY_KEEP_RIGHT</a></span></code>
<div class="block">An icon that indicates keeping to the right-hand lane of a highway.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#KEEP_LEFT">KEEP_LEFT</a></span></code>
<div class="block">An icon that indicates keeping to the left.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#KEEP_MIDDLE">KEEP_MIDDLE</a></span></code>
<div class="block">Keep middle line.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#KEEP_RIGHT">KEEP_RIGHT</a></span></code>
<div class="block">An icon that indicates keeping to the right.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#LEAVE_HIGHWAY_LEFT_LANE">LEAVE_HIGHWAY_LEFT_LANE</a></span></code>
<div class="block">An icon that indicates leaving a highway from the left lane.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#LEAVE_HIGHWAY_RIGHT_LANE">LEAVE_HIGHWAY_RIGHT_LANE</a></span></code>
<div class="block">An icon that indicates leaving a highway from the right lane.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#LIGHT_LEFT">LIGHT_LEFT</a></span></code>
<div class="block">An icon that indicates a light left turn.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#LIGHT_RIGHT">LIGHT_RIGHT</a></span></code>
<div class="block">An icon that indicates a light right turn.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#PASS_STATION">PASS_STATION</a></span></code>
<div class="block">An icon that indicates passing a station.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#QUITE_LEFT">QUITE_LEFT</a></span></code>
<div class="block">An icon that indicates a normal left turn.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#QUITE_RIGHT">QUITE_RIGHT</a></span></code>
<div class="block">An icon that indicates a normal right turn.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_1">ROUNDABOUT_1</a></span></code>
<div class="block">An icon that indicates using the first exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_1_LH">ROUNDABOUT_1_LH</a></span></code>
<div class="block">An icon that indicates using the first exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_10">ROUNDABOUT_10</a></span></code>
<div class="block">An icon that indicates using the tenth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_10_LH">ROUNDABOUT_10_LH</a></span></code>
<div class="block">An icon that indicates using the tenth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_11">ROUNDABOUT_11</a></span></code>
<div class="block">An icon that indicates using the eleventh exit encountered while navigating a roundabout
 in a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_11_LH">ROUNDABOUT_11_LH</a></span></code>
<div class="block">An icon that indicates using the eleventh exit encountered while navigating a roundabout
 in a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_12">ROUNDABOUT_12</a></span></code>
<div class="block">An icon that indicates using the twelfth exit encountered while navigating a roundabout
 in a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_12_LH">ROUNDABOUT_12_LH</a></span></code>
<div class="block">An icon that indicates using the twelfth exit encountered while navigating a roundabout
 in a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_2">ROUNDABOUT_2</a></span></code>
<div class="block">An icon that indicates using the second exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_2_LH">ROUNDABOUT_2_LH</a></span></code>
<div class="block">An icon that indicates using the second exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_3">ROUNDABOUT_3</a></span></code>
<div class="block">An icon that indicates using the third exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_3_LH">ROUNDABOUT_3_LH</a></span></code>
<div class="block">An icon that indicates using the third exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_4">ROUNDABOUT_4</a></span></code>
<div class="block">An icon that indicates using the fourth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_4_LH">ROUNDABOUT_4_LH</a></span></code>
<div class="block">An icon that indicates using the fourth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_5">ROUNDABOUT_5</a></span></code>
<div class="block">An icon that indicates using the fifth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_5_LH">ROUNDABOUT_5_LH</a></span></code>
<div class="block">An icon that indicates using the fifth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_6">ROUNDABOUT_6</a></span></code>
<div class="block">An icon that indicates using the sixth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_6_LH">ROUNDABOUT_6_LH</a></span></code>
<div class="block">An icon that indicates using the sixth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_7">ROUNDABOUT_7</a></span></code>
<div class="block">An icon that indicates using the seventh exit encountered while navigating a roundabout
 in a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_7_LH">ROUNDABOUT_7_LH</a></span></code>
<div class="block">An icon that indicates using the seventh exit encountered while navigating a roundabout
 in a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_8">ROUNDABOUT_8</a></span></code>
<div class="block">An icon that indicates using the eighth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_8_LH">ROUNDABOUT_8_LH</a></span></code>
<div class="block">An icon that indicates using the eighth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_9">ROUNDABOUT_9</a></span></code>
<div class="block">An icon that indicates using the ninth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#ROUNDABOUT_9_LH">ROUNDABOUT_9_LH</a></span></code>
<div class="block">An icon that indicates using the ninth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#START">START</a></span></code>
<div class="block">An icon that indicates the start point (displayed when route navigation has not yet
 begun).</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#UNDEFINED">UNDEFINED</a></span></code>
<div class="block">An undefined icon.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#UTURN_LEFT">UTURN_LEFT</a></span></code>
<div class="block">An icon that indicates a left u-turn.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#UTURN_RIGHT">UTURN_RIGHT</a></span></code>
<div class="block">An icon that indicates a right u-turn.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#value--">value</a></span>()</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="UNDEFINED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNDEFINED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> UNDEFINED</pre>
<div class="block">An undefined icon.</div>
</li>
</ul>
<a name="GO_STRAIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GO_STRAIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> GO_STRAIGHT</pre>
<div class="block">An icon that indicates a straight course.</div>
</li>
</ul>
<a name="UTURN_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UTURN_RIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> UTURN_RIGHT</pre>
<div class="block">An icon that indicates a right u-turn.</div>
</li>
</ul>
<a name="UTURN_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UTURN_LEFT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> UTURN_LEFT</pre>
<div class="block">An icon that indicates a left u-turn.</div>
</li>
</ul>
<a name="KEEP_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KEEP_RIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> KEEP_RIGHT</pre>
<div class="block">An icon that indicates keeping to the right.</div>
</li>
</ul>
<a name="LIGHT_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LIGHT_RIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> LIGHT_RIGHT</pre>
<div class="block">An icon that indicates a light right turn.</div>
</li>
</ul>
<a name="QUITE_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUITE_RIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> QUITE_RIGHT</pre>
<div class="block">An icon that indicates a normal right turn.</div>
</li>
</ul>
<a name="HEAVY_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEAVY_RIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> HEAVY_RIGHT</pre>
<div class="block">An icon that indicates a heavy right turn.</div>
</li>
</ul>
<a name="KEEP_MIDDLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KEEP_MIDDLE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> KEEP_MIDDLE</pre>
<div class="block">Keep middle line.</div>
</li>
</ul>
<a name="KEEP_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KEEP_LEFT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> KEEP_LEFT</pre>
<div class="block">An icon that indicates keeping to the left.</div>
</li>
</ul>
<a name="LIGHT_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LIGHT_LEFT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> LIGHT_LEFT</pre>
<div class="block">An icon that indicates a light left turn.</div>
</li>
</ul>
<a name="QUITE_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUITE_LEFT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> QUITE_LEFT</pre>
<div class="block">An icon that indicates a normal left turn.</div>
</li>
</ul>
<a name="HEAVY_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEAVY_LEFT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> HEAVY_LEFT</pre>
<div class="block">An icon that indicates a heavy left turn.</div>
</li>
</ul>
<a name="ENTER_HIGHWAY_RIGHT_LANE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENTER_HIGHWAY_RIGHT_LANE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ENTER_HIGHWAY_RIGHT_LANE</pre>
<div class="block">An icon that indicates entering a highway into the right lane.</div>
</li>
</ul>
<a name="ENTER_HIGHWAY_LEFT_LANE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENTER_HIGHWAY_LEFT_LANE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ENTER_HIGHWAY_LEFT_LANE</pre>
<div class="block">An icon that indicates entering a highway into the left lane.</div>
</li>
</ul>
<a name="LEAVE_HIGHWAY_RIGHT_LANE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEAVE_HIGHWAY_RIGHT_LANE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> LEAVE_HIGHWAY_RIGHT_LANE</pre>
<div class="block">An icon that indicates leaving a highway from the right lane.</div>
</li>
</ul>
<a name="LEAVE_HIGHWAY_LEFT_LANE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEAVE_HIGHWAY_LEFT_LANE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> LEAVE_HIGHWAY_LEFT_LANE</pre>
<div class="block">An icon that indicates leaving a highway from the left lane.</div>
</li>
</ul>
<a name="HIGHWAY_KEEP_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HIGHWAY_KEEP_RIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> HIGHWAY_KEEP_RIGHT</pre>
<div class="block">An icon that indicates keeping to the right-hand lane of a highway.</div>
</li>
</ul>
<a name="HIGHWAY_KEEP_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HIGHWAY_KEEP_LEFT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> HIGHWAY_KEEP_LEFT</pre>
<div class="block">An icon that indicates keeping to the left-hand lane of a highway.</div>
</li>
</ul>
<a name="ROUNDABOUT_1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_1</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_1</pre>
<div class="block">An icon that indicates using the first exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_2</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_2</pre>
<div class="block">An icon that indicates using the second exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_3</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_3</pre>
<div class="block">An icon that indicates using the third exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_4">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_4</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_4</pre>
<div class="block">An icon that indicates using the fourth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_5">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_5</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_5</pre>
<div class="block">An icon that indicates using the fifth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_6">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_6</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_6</pre>
<div class="block">An icon that indicates using the sixth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_7">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_7</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_7</pre>
<div class="block">An icon that indicates using the seventh exit encountered while navigating a roundabout
 in a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_8">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_8</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_8</pre>
<div class="block">An icon that indicates using the eighth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_9">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_9</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_9</pre>
<div class="block">An icon that indicates using the ninth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_10">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_10</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_10</pre>
<div class="block">An icon that indicates using the tenth exit encountered while navigating a roundabout in
 a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_11">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_11</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_11</pre>
<div class="block">An icon that indicates using the eleventh exit encountered while navigating a roundabout
 in a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_12">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_12</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_12</pre>
<div class="block">An icon that indicates using the twelfth exit encountered while navigating a roundabout
 in a counter-clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_1_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_1_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_1_LH</pre>
<div class="block">An icon that indicates using the first exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_2_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_2_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_2_LH</pre>
<div class="block">An icon that indicates using the second exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_3_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_3_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_3_LH</pre>
<div class="block">An icon that indicates using the third exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_4_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_4_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_4_LH</pre>
<div class="block">An icon that indicates using the fourth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_5_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_5_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_5_LH</pre>
<div class="block">An icon that indicates using the fifth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_6_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_6_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_6_LH</pre>
<div class="block">An icon that indicates using the sixth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_7_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_7_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_7_LH</pre>
<div class="block">An icon that indicates using the seventh exit encountered while navigating a roundabout
 in a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_8_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_8_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_8_LH</pre>
<div class="block">An icon that indicates using the eighth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_9_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_9_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_9_LH</pre>
<div class="block">An icon that indicates using the ninth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_10_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_10_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_10_LH</pre>
<div class="block">An icon that indicates using the tenth exit encountered while navigating a roundabout in
 a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_11_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_11_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_11_LH</pre>
<div class="block">An icon that indicates using the eleventh exit encountered while navigating a roundabout
 in a clockwise direction.</div>
</li>
</ul>
<a name="ROUNDABOUT_12_LH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT_12_LH</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> ROUNDABOUT_12_LH</pre>
<div class="block">An icon that indicates using the twelfth exit encountered while navigating a roundabout
 in a clockwise direction.</div>
</li>
</ul>
<a name="START">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>START</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> START</pre>
<div class="block">An icon that indicates the start point (displayed when route navigation has not yet
 begun).</div>
</li>
</ul>
<a name="END">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>END</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> END</pre>
<div class="block">An icon that indicates the destination point.</div>
</li>
</ul>
<a name="FERRY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FERRY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> FERRY</pre>
<div class="block">An icon that indicates boarding a ferry.</div>
</li>
</ul>
<a name="PASS_STATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PASS_STATION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> PASS_STATION</pre>
<div class="block">An icon that indicates passing a station.</div>
</li>
</ul>
<a name="HEAD_TO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEAD_TO</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> HEAD_TO</pre>
<div class="block">Leaving public transit station.</div>
</li>
</ul>
<a name="CHANGE_LINE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CHANGE_LINE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> CHANGE_LINE</pre>
<div class="block">Changing public transit line.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a>[] values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (Maneuver.Icon c : Maneuver.Icon.values())
    System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> valueOf(java.lang.String name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="value--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>value</h4>
<pre>public int value()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Maneuver.Icon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.TrafficDirection.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/Maneuver.Icon.html" target="_top">Frames</a></li>
<li><a href="Maneuver.Icon.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
